function Label = DigraphLabel(id_network, id_model)


% Start by idenfitying the topology

% Networks:

% 1 %  1,  2,  3,  4,  5 -> Topology num 1 ~ Complete graph
% 2 %  6,  7,  8,  9, 10 -> Topology num 2 ~ Directed ring 1
% 3 % 11, 12, 13, 14, 15 -> Topology num 3 ~ Directed ring 2
% 4 % 16, 17, 18, 19, 20 -> Topology num 4 ~ Undirected ring
% 5 % 21, 22, 23, 24, 25 -> Topology num 5 ~ Small-World
% 6 % 26, 27, 28, 29, 30 -> Topology num 6 ~ Random network
% 7 % 31, 32, 33, 34, 35 -> Topology num 7 ~ Torus lattice
% 8 % 36, 37, 38, 39, 40 -> Topology num 8 ~ Scale-Free
% 9 % 41, 42, 43, 44, 45 -> Topology num 9 ~ Small-World

    
Label_1 = 'Complete';
Label_2 = 'Directed Ring 1';
Label_3 = 'Directed Ring 2';
Label_4 = 'Undirected Ring';
Label_5 = 'Small-World 1';
Label_6 = 'Random Network';
Label_7 = 'Torus Lattice';
Label_8 = 'Scale-Free';
Label_9 = 'Small-World 2';
    

if (id_model==3)||(id_model==4)

    if (id_network>0)&&(id_network<=5)
        Label = Label_1;
    elseif (id_network>5)&&(id_network<=10)
        Label = Label_2;
    elseif (id_network>10)&&(id_network<=15)
        Label = Label_3;
    elseif (id_network>15)&&(id_network<=20)
        Label = Label_4;
    elseif (id_network>20)&&(id_network<=25)
        Label = Label_5;
    elseif (id_network>25)&&(id_network<=30)
        Label = Label_6;
    elseif (id_network>30)&&(id_network<=35)
        Label = Label_7;
    elseif (id_network>35)&&(id_network<=40)
        Label = Label_8;
    elseif (id_network>40)&&(id_network<=45)
        Label = Label_9;
    end

else

    if id_network == 1
        Label = Label_1;
    elseif id_network == 2
        Label = Label_2;
    elseif id_network == 3
        Label = Label_3;
    elseif id_network == 4
        Label = Label_4;
    elseif id_network == 5
        Label = Label_5;
    elseif id_network == 6
        Label = Label_6;
    elseif id_network == 7
        Label = Label_7;
    elseif id_network == 8
        Label = Label_8;
    elseif id_network == 9
        Label = Label_9;
    end

end

end